summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2021-03-21 15:49:19 -0400
committerLuke Smith <luke@lukesmith.xyz>2021-03-21 15:49:19 -0400
commitaa9ce687d1b8bbc7eef24e9480e5cdc718c4a582 (patch)
treeb5eeab09c3547e8d4c1bf3b201e37c6d2f77abbd
parente4878d215df0704c580d8f1942ed28a1fc105c67 (diff)
downloadbased.cooking-aa9ce687d1b8bbc7eef24e9480e5cdc718c4a582.tar
based.cooking-aa9ce687d1b8bbc7eef24e9480e5cdc718c4a582.tar.gz
based.cooking-aa9ce687d1b8bbc7eef24e9480e5cdc718c4a582.tar.lz
based.cooking-aa9ce687d1b8bbc7eef24e9480e5cdc718c4a582.tar.xz
based.cooking-aa9ce687d1b8bbc7eef24e9480e5cdc718c4a582.zip
let's hope that works
-rwxr-xr-x.github/workflows/scripts/check-size.sh17
-rw-r--r--src/savory-squash.md (renamed from Savory-Squash)10
2 files changed, 18 insertions, 9 deletions
diff --git a/.github/workflows/scripts/check-size.sh b/.github/workflows/scripts/check-size.sh
index 15027bd52..e6efd068a 100755
--- a/.github/workflows/scripts/check-size.sh
+++ b/.github/workflows/scripts/check-size.sh
@@ -11,15 +11,24 @@ check_size() {
fi
}
+check_md_name() {
+ shouldname="$(echo "$1" |
+ iconv --to-code=utf-8 |
+ sed "s/^\(src\/\)\?/src\//" |
+ tr '[:upper:]' '[:lower:]' |
+ tr ' ' '-')"
+ if [ "$shouldname" != "$1" ]; then
+ echo "$1 should be named $shouldname."
+ exit 1
+ fi
+}
+
git diff --name-only `git merge-base origin/master HEAD` | while IFS= read -r file; do
case "$file" in
*.webp)
echo "Checking size of $file"
check_size $file
;;
- *)
- echo "Skipping $file"
- ;;
+ *.md) check_md_name "$file" ;;
esac
done
-
diff --git a/Savory-Squash b/src/savory-squash.md
index d546df0b3..16c83f264 100644
--- a/Savory-Squash
+++ b/src/savory-squash.md
@@ -14,11 +14,11 @@
## Directions
1. Peel Butternut squash and discard both ends. Cut in half lengthwise, scoop and discard seeds. Cut in half lengthwise again.
-2. Place face down on greased baking sheet. Rotate to roast the other face after 20 minutes, Check at 45 mins with a toothpick for softness.
-3. Cut up into 2 inch chunks and toss into stand mixer. Mix on high and add a half stick of butter and salt to taste. Stir in half of the St. Augur blue cheese.
+2. Place face down on greased baking sheet. Rotate to roast the other face after 20 minutes, Check at 45 mins with a toothpick for softness.
+3. Cut up into 2 inch chunks and toss into stand mixer. Mix on high and add a half stick of butter and salt to taste. Stir in half of the St. Augur blue cheese.
4. Pour into casserole dish. Stir in any extra blue cheese to taste or crumble on top. Lower oven to 300 and bake the mashed squash for 15 minutes.
-5. Garnish with chopped chives on top.
+5. Garnish with chopped chives on top.
## Contribution
-- Joe Powerhouse
-- BTC: 1KPxw9js2VukakhMv2wUUFUQZnHQL842ju
+
+- Joe Powerhouse, BTC: 1KPxw9js2VukakhMv2wUUFUQZnHQL842ju